{% extends "dashboard/base.html" %}

{% load status_tags %}

{% block content %}
<p>
Trace result for
Pipeline: <a href="{{job_result.pipeline_result.url}}">{{job_result.pipeline_result.id}}</a>
Job: <a href="{{job_result.url}}">{{job_result.id}}</a>
</p>
<p>Device: {{job_result.device}} {{ job_result.status | status_icon | safe}}</p>
<p>Mesa SHA:
{% if job_result.pipeline_result.mesa_sha %}
<a href="{{job_result.pipeline_result.mesa_url}}">{{ job_result.pipeline_result.mesa_sha }}</a>
{% endif %}

{{job_result.timestamp}}
</p>

<table>
<tr>
    <th>Trace</th>
    <th>Result</th>
</tr>

{% for t in job_result.trace_results.all %}
<tr>
    <td>{{t.name}}</td>
    <td style="text-align:center">
        <a href="{{t.summary_url}}"> {{ t.status | status_icon | safe}} </a>
    </td>
</tr>
{% endfor %}

</table>

{% endblock content %}
